import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, d = Object.getOwnPropertyDescriptor, c = (l, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? d(t, s) : t, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (o ? p(t, s, e) : p(e)) || e);
  return o && e && v(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--foodReady", this.class = "c-pieIcon c-pieIcon--foodReady", this.name = "IconFoodReady";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--foodReady"><path d="M13.941 12.935v-2.922a5.95 5.95 0 0 0-5.25-5.898 1.278 1.278 0 1 0-1.347 0 5.95 5.95 0 0 0-5.25 5.898v2.922h-.656v1.313h13.124v-1.313h-.62Zm-10.57-2.922a4.629 4.629 0 1 1 9.258 0v2.922H3.37v-2.922Z"></path><path d="M7.151 10.152 5.944 8.937 4.98 9.9l2.17 2.17L11.02 8.2l-.963-.953-2.905 2.904Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  h("icon-food-ready")
], r);
export {
  r as IconFoodReady
};
